Skip to content

Incompatible with Redmine 2.0 #17

Closed
myth17 opened this Issue May 19, 2012 · 5 comments

5 participants

@myth17
myth17 commented May 19, 2012

The application is listed as compatible with Redmine2.0 here -->
http://www.redmine.org/plugins/monitoring-controlling

However the config/routes.rb seems to be the old Rails2 style and not the Rails3 style which Redmine 2.0 employs. Setting up the plugin I get -->

An error occurred while loading the routes definition of Redmine-Monitoring-Controlling plugin (/Users/myth/Learn/Code/Berkman GSOC 2012/Berkman/redmine/plugins/Redmine-Monitoring-Controlling/config/routes.rb): uninitialized constant ActionDispatch::Routing::Routes.

@alexmonteiro
Owner

Thanks for reporting. Redmine 2.0 was released only 4 days ago, the plugin was designed on 1.4.x version. During the next week I'll check the red mine upgrade and soon make a new version of plugin.

@myth17
myth17 commented May 20, 2012

My pleasure! Please let me know once the fixes have been done! :)

@zms
zms commented May 21, 2012

Looking forward to 2.0.0 compatibility. :) Many thanks in advance.

@alexmonteiro
Owner

master version under redmine 2.0, pls check it out.

@nenads
nenads commented Jun 6, 2012

tab label:translation missing: en.monitoring_controlling_title
Page not found for /home_monitoring_controlling_project/index/test , test is the name of project

Redmine 2.0.2

@alexmonteiro alexmonteiro reopened this Jun 6, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.